/*
 * ComptableNibnb.java
 *
 * Created on 30 octobre 2008, 15:37
 */

package org.cocktail.corossol.client.nib;

import org.cocktail.application.palette.JPanelCocktail;

public class ComptableNib extends JPanelCocktail {
    
    /** Creates new form ComptableNibnb */
    public ComptableNib() {
        initComponents();
    }
    
    public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAjouter() {
		return jButtonCocktailAjouter;
	}

	public void setJButtonCocktailAjouter(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAjouter) {
		jButtonCocktailAjouter = buttonCocktailAjouter;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAnnuler() {
		return jButtonCocktailAnnuler;
	}

	public void setJButtonCocktailAnnuler(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAnnuler) {
		jButtonCocktailAnnuler = buttonCocktailAnnuler;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailDepense() {
		return jButtonCocktailDepense;
	}

	public void setJButtonCocktailDepense(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailDepense) {
		jButtonCocktailDepense = buttonCocktailDepense;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailFermer() {
		return jButtonCocktailFermer;
	}

	public void setJButtonCocktailFermer(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailFermer) {
		jButtonCocktailFermer = buttonCocktailFermer;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailImprimer() {
		return jButtonCocktailImprimer;
	}

	public void setJButtonCocktailImprimer(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailImprimer) {
		jButtonCocktailImprimer = buttonCocktailImprimer;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailModifier() {
		return jButtonCocktailModifier;
	}

	public void setJButtonCocktailModifier(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailModifier) {
		jButtonCocktailModifier = buttonCocktailModifier;
	}

	public org.cocktail.application.palette.JTableViewCocktail getMesBiensAttenteTBV() {
		return mesBiensAttenteTBV;
	}

	public void setMesBiensAttenteTBV(
			org.cocktail.application.palette.JTableViewCocktail mesBiensAttenteTBV) {
		this.mesBiensAttenteTBV = mesBiensAttenteTBV;
	}

	public org.cocktail.application.palette.JTableViewCocktail getMesNumeroDetailTBV() {
		return mesNumeroDetailTBV;
	}

	public void setMesNumeroDetailTBV(
			org.cocktail.application.palette.JTableViewCocktail mesNumeroDetailTBV) {
		this.mesNumeroDetailTBV = mesNumeroDetailTBV;
	}

	public org.cocktail.application.palette.JTableViewCocktail getMesNumeroTBV() {
		return mesNumeroTBV;
	}

	public void setMesNumeroTBV(
			org.cocktail.application.palette.JTableViewCocktail mesNumeroTBV) {
		this.mesNumeroTBV = mesNumeroTBV;
	}

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButtonCocktailFermer = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktail5 = new org.cocktail.application.palette.JTextFieldCocktail();
        mesBiensAttenteTBV = new org.cocktail.application.palette.JTableViewCocktail();
        mesNumeroTBV = new org.cocktail.application.palette.JTableViewCocktail();
        mesNumeroDetailTBV = new org.cocktail.application.palette.JTableViewCocktail();
        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        jButtonCocktailAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailAjouter = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailModifier = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailDepense = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailImprimer = new org.cocktail.application.palette.JButtonCocktail();

        jButtonCocktailFermer.setText("Fermer");
        jButtonCocktailFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailFermerActionPerformed(evt);
            }
        });

        jTextFieldCocktail5.setBackground(new java.awt.Color(128, 255, 0));
        jTextFieldCocktail5.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextFieldCocktail5.setEditable(false);
        jTextFieldCocktail5.setText("INVENTAIRE COMPTABLE");
        jTextFieldCocktail5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktail5ActionPerformed(evt);
            }
        });

        jLabelCocktail1.setText("Details des biens inventories :");

        jLabelCocktail2.setText("Liste des biens livres non inventories : ");

        jLabelCocktail3.setText("Les numeros d'inventaire comptable : ");

        jButtonCocktailModifier.setText("Modifier les informations");

        jButtonCocktailDepense.setText("Gerer le lien avec les depenses");

        jButtonCocktailImprimer.setText("Editer la fiche d'inventaire");
        jButtonCocktailImprimer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailImprimerActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(mesBiensAttenteTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 361, Short.MAX_VALUE))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(0, 0, 0)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(47, 47, 47)
                                        .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 312, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(11, 11, 11)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(jButtonCocktailAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .add(16, 16, 16)
                                        .add(mesNumeroTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 311, Short.MAX_VALUE))
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jButtonCocktailFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(62, 62, 62)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(mesNumeroDetailTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 309, Short.MAX_VALUE))))
                        .addContainerGap())
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jButtonCocktailModifier, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jButtonCocktailDepense, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jButtonCocktailImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 233, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(65, 65, 65))))
            .add(layout.createSequentialGroup()
                .add(11, 11, 11)
                .add(jTextFieldCocktail5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 617, Short.MAX_VALUE)
                .add(144, 144, 144))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButtonCocktailFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(3, 3, 3)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(7, 7, 7)
                        .add(jButtonCocktailModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonCocktailDepense, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonCocktailImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(59, 59, 59)
                        .add(jButtonCocktailAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(34, 34, 34)
                        .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(11, 11, 11)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(97, 97, 97)
                                .add(mesNumeroTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 198, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(mesNumeroDetailTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .add(mesBiensAttenteTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 483, Short.MAX_VALUE))))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCocktailFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailFermerActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonCocktailFermerActionPerformed

    private void jButtonCocktailImprimerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailImprimerActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailImprimerActionPerformed

    private void jTextFieldCocktail5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktail5ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldCocktail5ActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAjouter;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAnnuler;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailDepense;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailFermer;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailImprimer;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailModifier;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktail5;
    public org.cocktail.application.palette.JTableViewCocktail mesBiensAttenteTBV;
    public org.cocktail.application.palette.JTableViewCocktail mesNumeroDetailTBV;
    public org.cocktail.application.palette.JTableViewCocktail mesNumeroTBV;
    // End of variables declaration//GEN-END:variables
    
}
